package com.gic.finance.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.finance.dao.mapper.TabPayAccountMapper;
import com.gic.finance.dto.PayAccountDTO;
import com.gic.finance.entity.TabPayAccount;
import com.gic.finance.service.PayAccountService;

@Service("payAccountService")
public class PayAccountServiceImpl implements PayAccountService {
    @Autowired
    private TabPayAccountMapper tabPayAccountMapper;

    @Override
    public int save(PayAccountDTO dto) {
        return tabPayAccountMapper.insert(EntityUtil.changeEntityNew(TabPayAccount.class, dto));
    }

    @Override
    public int update(PayAccountDTO dto) {
        dto.setUpdateTime(new Date());
        return tabPayAccountMapper.updateByPrimaryKeySelective(EntityUtil.changeEntityNew(TabPayAccount.class, dto));
    }

    @Override
    public List<PayAccountDTO> listPayAccount() {
        return EntityUtil.changeEntityListNew(PayAccountDTO.class, tabPayAccountMapper.listPayAccount());
    }

    @Override
    public TabPayAccount getById(Integer id) {
        return tabPayAccountMapper.selectByPrimaryKey(id);
    }

    @Override
    public int getTheMaxSort() {
        return tabPayAccountMapper.getMaxSort();
    }

    @Override
    public int getMinSort() {
        return tabPayAccountMapper.getMinSort();
    }

    @Override
    public TabPayAccount getPreOfSort(Integer sort) {
        return null;
    }

    @Override
    public TabPayAccount getNextOfSort(Integer sort) {
        return null;
    }
}
